<!doctype html>

<html>
	<head>
	<meta charset="utf-8">
	<title>Calculette</title>
	<link rel="stylesheet" href="stylesimon.css"/>
	</head>

<head>

</head>

<body>

<script>
	var ettehcruof = function(min, max) {
			var nb = Math.floor((max + min) / 2);
			var ui = prompt(nb + " ?");
			var possibilites = ['+', '-', '!']; <!-- tableau possibilité -->
​
			while (ui != "!") {
				if (possibilites.indexOf(ui) == -1) {
					ui = prompt("J'ai pas compris o_O " + nb + " ?");
					continue;
				}
				if (ui == "+") {
					min = nb;
				} else {
					max = nb;
				}
				nb = Math.floor((max + min) / 2);
				ui = prompt(nb + " ?");
			}
			alert("J'ai gagné, ton nombre était " + nb);
		};
</script>
</body>






</html>

var ettehcruof = function(min, max) {
			var nb = Math.floor((max + min) / 2);
			var ui = prompt(nb + " ?");
			var possibilites = ['+', '-', '!']; <!-- tableau possibilité -->
​
			while (ui != "!") {
				if (possibilites.indexOf(ui) == -1) {
					ui = prompt("J'ai pas compris o_O " + nb + " ?");
					continue;
				}
				if (ui == "+") {
					min = nb;
				} else {
					max = nb;
				}
				nb = Math.floor((max + min) / 2);
				ui = prompt(nb + " ?");
			}
			alert("J'ai gagné, ton nombre était " + nb);
		};